AnsweredAssumed Answered

Alfresco SDK / FDK / Maven

Question asked by pdelaruelle on Oct 19, 2015
Latest reply on Oct 20, 2015 by pdelaruelle
Hello

My corp use a 4.2 enterprise version and at home I install the community version 4.2.f  with a Win 7 64b 8Go PC

I've downloaded the latest SDK and FDK vertsion.


I try to develop new data models or functionnality.

I use MVN " 3.3.3 " to générate a new project :

" mvn archetype:generate -Dfilter=org.alfresco: "

The POM.XML are for an Alfresco 5.0 and generate errors. Even if I change the archtype version. If I change the alfresco version in the POM to a 4.2.f I cant compile even a simple AMP

If I use the sources of an old module, MVN compile succesfully and I've no errors on Alfresco.


Questions :
1) What can be the MVN syntax or parameters I must use to generate, compile and run succesfully a new module for Alf 4.2.f  ???

2) On the web I find a description for an old SDK version but I can't find a way to download that one. Where and how can I donload that old version ???



Thanks in advance for your help

Regards




Outcomes